Subject: Re: new binutils breaks "tlbie" instruction in kernel?

From: Chris Friesen <[email-masked]>
Date: Thu, 03 Feb 2005 09:02:59 -0600

Benjamin Herrenschmidt wrote:
> On Wed, 2005-02-02 at 12:39 -0600, Chris Friesen wrote:
> 
>>The "tlbie" instruction has a bit which may be set to indicate regular 
>>or large page size.  This used to be set via an optional second parameter.
>>
>>Apparently some time between binutils versions 2.15.91.0.2 and 
>>2.15.92.0.2 a change went in to make this second parameter mandatory, 
>>which breaks the kernel ppc code.

> Wasn't it fixed ?

Not sure what "it" you mean.  The current kernel code does not have the 
third parm.  I'm not sure about the latest binutils, but 2.15.92.0.2 is 
what a vendor wants to build on.

Chris